﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19x Cal Date and Time Setup RS-232
INSTRUMENT:            Sub Fluke 19x Cal Warming-up Setup RS-232
DATE:                  2018-01-04 14:27:10
AUTHOR:                Fluke
REVISION:              $Revision: 22075 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       236
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, CAD
#
#  Model(s) Covered:
#        Fluke 190B Series ScopeMeter®
#          192B, 196B, 199B
#        Fluke 190C Series Color ScopeMeter®
#          192C, 196C, 199C, 215C, 225C
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#          THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DATE_TIME                    PSUB("Date and Time")
  1.002  JMPL         WARMING_UP                   PSUB("Warming-up")
  1.003  DISP         Subprocedure not found!
  1.004  END

# =====  Sub Fluke 19x Cal Date and Time Setup RS-232  ======================

# Check and set date.
  1.005  LABEL        DATE_TIME
  1.006  CALL         Sub Fluke ScopeMeter Read Date RS-232
  1.007  JMPL         END                          @Abort
  1.008  MATH         UUTDate = MEM2
  1.009  OPBR         -z The DUT date is [V UUTDate]. This date will
  1.009  OPBR         become the Cal Date upon completion of the calibration
  1.009  OPBR         and subsequent saving of the cal data.
  1.009  OPBR
  1.009  OPBR         Is the date correct?
  1.009  OPBR
  1.009  OPBR         (Selecting "No," will enable you to change
  1.009  OPBR         the date).

  1.010  IF           NOT(MEM1)

  1.011  DO
  1.012  MATH         SystemDate = DATE("yyyy,mm,dd")
  1.013  OPBR         -z The current system date setting of this computer is:
  1.013  OPBR         [32] [V SystemDate]
  1.013  OPBR
  1.013  OPBR         If this is correct, select "Yes" to proceed.
  1.013  OPBR
  1.013  OPBR         If not, change the computer date to reflect today's
  1.013  OPBR         date, then select "No" to retry.
  1.014  UNTIL        MEM1

  1.015  MATH         NewCalDate = DATE("yyyy,mm,dd")
# Compare the final system Date with the original UUT date to see if it is
# really changed.
  1.016  MATH         DateChanged = NOT(ZCMPI(UUTDate, NewCalDate))

  1.017  ELSE
# Date is correct.
  1.018  MATH         DateChanged = 0
  1.019  ENDIF

# Check and set time.
  1.020  CALL         Sub Fluke ScopeMeter Read Time RS-232
  1.021  JMPL         END                          @Abort
# The format of returned UUT time string is HH,MM,SS, convert it to format
# of HH:MM:SS for displayed.
  1.022  MATH         Hours   = FMT(FLD(MEM2, 1, ","), "%02.0f")
  1.023  MATH         Minutes = FMT(FLD(MEM2, 2, ","), "%02.0f")
  1.024  MATH         Seconds = FMT(FLD(MEM2, 3, ","), "%02.0f")
  1.025  MATH         UUTTime =  Hours & ":" & Minutes & ":" & Seconds
  1.026  OPBR         -z The DUT time setting is [V UUTTime].
  1.026  OPBR
  1.026  OPBR         Is the time correct?
  1.026  OPBR
  1.026  OPBR         (Selecting "No," will enable you to
  1.026  OPBR         change the time).

  1.027  IF           NOT(MEM1)

  1.028  DO
  1.029  MATH         SystemTime = TIME()
  1.030  OPBR         -z The current system time setting of this computer is:
  1.030  OPBR         [32] [V SystemTime]
  1.030  OPBR
  1.030  OPBR         If this is correct, select "Yes" to proceed.
  1.030  OPBR
  1.030  OPBR         If not, change the computer time to reflect the
  1.030  OPBR         correct time, then select "No" to retry.
  1.031  UNTIL        MEM1

# Re-read the system time and UUT time for comparison.
  1.032  MATH         @Cmd = "RT"
  1.033  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.034  PORT         [I$]
  1.035  MATH         UUTTime = MEM2

  1.036  MATH         SystemTime = TIME()
# Convert the system time format from HH:MM:SS to HH,MM,SS for written to UUT.
  1.037  MATH         Hours   = FLD(SystemTime, 1, ":")
  1.038  MATH         Minutes = FLD(SystemTime, 2, ":")
  1.039  MATH         Seconds = FLD(SystemTime, 3, ":")
  1.040  MATH         NewCalTime =  Hours & "," & Minutes & "," & Seconds

# Compare the final system Time with the original UUT Time to see if it is
# really changed.
  1.041  MATH         TimeChanged = NOT(ZCMPI(UUTTime, NewCalTime))

  1.042  ELSE
# Time is correct.
  1.043  MATH         TimeChanged = 0
  1.044  ENDIF

  1.045  IF           DateChanged
# Write new date to UUT.
  1.046  MATH         @Cmd = "WD " & NewCalDate
  1.047  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.048  ENDIF

  1.049  IF           TimeChanged
# Write new time to UUT.
  1.050  MATH         @Cmd = "WT " & NewCalTime
  1.051  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.052  ENDIF

  1.053  END

  1.054  EVAL   Increment Step Number

# =====  Sub Fluke 19x Cal Warming-up Setup RS-232  =========================

  2.001  LABEL        WARMING_UP
  2.002  HEAD         WARMING UP & PRECAL INSTRUCTIONS (Manual)
  2.003  DISP         The "Warming-Up & Pre-Calibration" process has not been
  2.003  DISP         performed.  It takes about 1 hour.
  2.003  DISP
  2.003  DISP         MET/CAL is not required to perform the DUT Warming Up
  2.003  DISP         process.
  2.003  DISP
  2.003  DISP         You can choose to terminate the procedure once the
  2.003  DISP         "Warming-Up & Pre-Calibration" process has started, or
  2.003  DISP         wait until it completes.

  2.004  DISP         Ensure no input connections are made to the DUT
  2.004  DISP         or at this time!

  2.005  CALL         Sub Fluke ScopeMeter Press F3 RS-232
  2.006  JMPL         END                          @Abort

  2.007  IF           0

  2.008  IF           @THS3000Series
  2.009  DISP         Proceed as follows (see Performance Verification and
  2.009  DISP         Adjustmentstechnical Reference, para. Adjustments):
  2.009  DISP
  2.009  DISP         - Press/hold the Utility key, press/release Menu Off key
  2.009  DISP         [32] DUT displays: "WarmingUp (CL 0200):IDLE"
  2.009  DISP
  2.009  DISP         - Press the F3 key (CALIBRATE)
  2.009  DISP         [32] DUT displays: "WarmingUp (CL 0200):BUSY 00:xx:xx"
  2.009  DISP
  2.009  DISP         - When finished,
  2.009  DISP         [32] DUT displays: "End Precal :READY"
  2.009  DISP
  2.009  DISP         Press "Advance" for more instructions.
  2.010  ELSE
  2.011  DISP         Proceed as follows (see Service Manual, para. 5.5):
  2.011  DISP
  2.011  DISP         - Press/hold the USER key, press/release CLEAR MENU key.
  2.011  DISP         [32] DUT displays: "WarmingUp (CL 0200):IDLE"
  2.011  DISP
  2.011  DISP         - Press the F3 key (CALIBRATE)
  2.011  DISP         [32] DUT displays: "WarmingUp (CL 0200):BUSY 00:xx:xx"
  2.011  DISP
  2.011  DISP         - When finished,
  2.011  DISP         [32] DUT displays: "End Precal :READY"
  2.011  DISP
  2.011  DISP         Press "Advance" for more instructions.
  2.012  ENDIF

  2.013  ENDIF

  2.014  DISP         When finished, DUT displays: "End Precal :READY"
  2.014  DISP
  2.014  DISP         Do NOT turn off the DUT upon completion of the
  2.014  DISP         Warming-Up & Pre-Calibration; the cal data are
  2.014  DISP         not saved in Flash EPROM! To move the DUT from
  2.014  DISP         one place to another, the power adapter may be
  2.014  DISP         temporarily removed; the DUT will continue to
  2.014  DISP         run on battery power.

  2.015  DISP         Press "Advance" to wait.
  2.015  DISP
  2.015  DISP         Press "Terminate" to exit procedure now.  Re-execute
  2.015  DISP         procedure when "End Precal" is displayed.

  2.016  HEAD         WARMING UP & PRECAL
  2.017  MATH         L[1] = 0

# Status bit 9:  Pre Calibration busy
  2.018  DO
  2.019  WAIT         [D1000]
  2.020  MATH         L[1] = L[1] + 1; ElapsedTime = FTIME(L[1])
  2.021  HEAD         -2 Elapsed: [V ElapsedTime]
  2.022  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  2.023  UNTIL        NOT(BIT(9, MEM))

  2.024  LABEL        END
  2.025  HEAD         -2
  2.026  HEAD
  2.027  END
